Subject: compiling makedepend

From: John Vrolijk <[email-masked]>

I took the source for mkdepend from my X source tree at work and
tried to compile it.
It complained about the following piece of code in main.c:

266 #ifdef _POSIX_SOURCE
267          sigemptyset(&sig_act.sa_mask);
268          sigaddset(&sig_act.sa_mask, SIGINT);
269          sigaddset(&sig_act.sa_mask, SIGQUIT);
270          sigaddset(&sig_act.sa_mask, SIGBUS);
271          sigaddset(&sig_act.sa_mask, SIGILL);
272          sigaddset(&sig_act.sa_mask, SIGSEGV);
273          sigaddset(&sig_act.sa_mask, SIGHUP);
274          sigaddset(&sig_act.sa_mask, SIGPIPE);
275          sigaddset(&sig_act.sa_mask, SIGSYS); 
276 #else

In order to get it through the compiler I added the
following to def.h"

/*
 * $XConsortium: def.h,v 1.17 91/05/13 10:23:29 rws Exp $
 */
#include <X11/Xosdefs.h>
#include <stdio.h>
#include <ctype.h>
#define X_NOT_POSIX
#ifndef X_NOT_POSIX
blablabla
   .
   . [rest of stuff deleted]
   .

After that, it compiled ok and I've now got a working mkdepend.
Can someone tell me it this is OK ?
Should X_NOT_POSIX be defined like that or did I make
a terrible mistake ??

-John